Subject: Re: Adding Git to Better SCM Initiative : Comparison

From: Jakub Narebski <[email-masked]>
Date: Fri, 30 Nov 2007 02:53:54 +0100

On Fri, 30 Nov 2007, Johan Herland wrote:
> On Friday 30 November 2007, Jakub Narebski wrote:
>> On Thu, 29 Nov 2007, Alex Riesen wrote:
>>> Jakub Narebski, Thu, Nov 29, 2007 03:26:12 +0100:
>> 
>>>> +             <s id="git">
>>>> +                 Medium. There's Git User's Manual, manpages, some
>>>> +                 technical documentation and some howtos.  All
>>>> +                 documentation is also available online in HTML format;
>>>> +                 there is additional information (including beginnings
>>>> +                 of FAQ) on git wiki.
>>>> +                 Nevertheles one of complaints in surveys is insufficient
>>> 
>>> "Nevertheless" (two "s").
>>> 
>>> BTW, I wouldn't call the level of documentation "Medium" when compared
>>> to any commercial SCM. How can they earn more than "a little", when
>>> compared to any opensource program?
>> 
>> Source code is not [user level] documentation.
>> 
>> But perhaps it should be "Good" instead of "Medium", although I think
>> not "Excellent".
> 
> If we try to compare ourselves to what's closest, i.e. Mercurial, I would
> say that Git's documentation is probably on par with what Mercurial has to
> offer. Their "Documentation" entry in the comparison is as follows:
> 
> "Very good. There's an overview and tutorial on the web site, and integrated
> help for every command."
> 
> I say we go for something similar.

Well, at least according to surveys results people perceive
"The Mercurial Book" (hgbook) as better documentation than
"Git User's Manual" + tutorials. See for example frequent requests
for "The Git Book" patterned after hgbook and/or svnbook.

BTW. the list was meant to be updated by contributors who added
SCMs, but it doesn't liik lik it is...

-- 
Jakub Narebski
Poland